View Issue Details

IDProjectCategoryView StatusLast Update
0002181SOGoBackend Calendarpublic2013-01-21 15:33
Reporterstartx Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.3 
Fixed in Version2.0.4 
Summary0002181: changing all-day repeating events
Description

Reproduction:

  1. make repeating (weekly/daily/...) all-day event
    (notice: this will make it span 2 days in the events tab, only when repeating )
  2. change (this occurrence only)

Effect: the event is not changed, instead a new event is created one day before spanning two days (this is different on your demo-server, where the event is not updated but no new event is created).

This is reproduced on multiple SOGo installations.

TagsNo tags attached.

Activities

Christian Mack

Christian Mack

2013-01-17 08:08

developer   ~0005209

I can not reproduce this behaviour.

What timezones do you use on the SOGo server (== OS), as default for SOGo and in Settings for the test user?

Do you change the first occurency of this repeating event?

francis

francis

2013-01-21 15:33

administrator   ~0005241

Fixed.

See https://github.com/inverse-inc/sogo/commit/5bbb5df2a8e8ad89cd03e23789833dfc3b177ac0

Issue History

Date Modified Username Field Change
2013-01-15 06:04 startx New Issue
2013-01-17 08:08 Christian Mack Note Added: 0005209
2013-01-21 15:33 francis Note Added: 0005241
2013-01-21 15:33 francis Status new => resolved
2013-01-21 15:33 francis Fixed in Version => 2.0.4
2013-01-21 15:33 francis Resolution open => fixed
2013-01-21 15:33 francis Assigned To => francis